import type { ToolConstraint } from '../../../util/exec/types';
import { HostRuleSearch } from '../../../util/host-rules';
import { id as composerVersioningId } from '../../versioning/composer';
import type { UpdateArtifactsConfig } from '../types';
import type { ComposerConfig, ComposerLock } from './types';
export { composerVersioningId };
export declare function getComposerArguments(config: UpdateArtifactsConfig, toolConstraint: ToolConstraint): string;
export declare function getPhpConstraint(constraints: Record<string, string>): string | null;
export declare function requireComposerDependencyInstallation(lock: ComposerLock): boolean;
export declare function extractConstraints(composerJson: ComposerConfig, lockParsed: ComposerLock): Record<string, string>;
export declare function findGithubPersonalAccessToken(search: HostRuleSearch): string | undefined;
export declare function isPersonalAccessToken(token: string): boolean;
